Skip to main content
PATCH
Update an AgentPlacement

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-31

Path Parameters

id
string
required
Pattern: ^aplace_[0-9a-f]{32}$

Body

application/json
expected_version
integer
required
agent
object
environment_id
string
Pattern: ^env_[0-9a-f]{32}$
acted_as
string
Pattern: ^prin_[0-9a-f]{32}$
identity_posture
enum<string>
Available options:
delegated,
autonomous
harness
string
Pattern: ^[a-z0-9](?:[a-z0-9._-]{0,93})(?:@(?:latest|[1-9][0-9]{0,8}))?$
state
enum<string>
Available options:
active,
disabled,
archived

Response

Success

id
string
required
Pattern: ^aplace_[0-9a-f]{32}$
workspace_id
string
required
Pattern: ^wrkspc_[0-9a-f]{32}$
external_installation_id
string
required
Pattern: ^exti_[0-9a-f]{32}$
agent
object
required
acted_as
string
required
Pattern: ^prin_[0-9a-f]{32}$
identity_posture
enum<string>
required
Available options:
delegated,
autonomous
environment_id
string
required
Pattern: ^env_[0-9a-f]{32}$
harness
string
required
Pattern: ^[a-z0-9](?:[a-z0-9._-]{0,93})(?:@(?:latest|[1-9][0-9]{0,8}))?$
state
enum<string>
required
Available options:
active,
disabled,
archived
version
integer
required
created_at
string
required
updated_at
string
required